PUT
/pipelines/jobs/{job_id}/
curl --request PUT \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/pipelines/jobs/{job_id}/?action=<ACTION>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.put( "https://api.e2enetworks.com/myaccount/api/v1/gpu/pipelines/jobs/{job_id}/", params={"action": "<ACTION>", "project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/pipelines/jobs/{job_id}/");url.search = new URLSearchParams({ action: "<ACTION>", project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "PUT", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”job_id
required
string
Scheduled job ID. Get it from the job_id field in the Schedule Run List API response.
Query Parameters
Section titled “Query Parameters”action
required
string
project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Responses
Section titled “Responses”Success response with no data.
Media typeapplication/json
object
code
HTTP status code for the operation.
integer
data
The data object, which is empty in this case.
object
errors
Error details, which are empty in this case.
object
message
General response message.
string
Example
{ "code": 200, "message": "Success"}